Package org.apache.solr.common.params

## Interface SimpleParams

    public interface SimpleParams

Parameters used by the SimpleQParser.

### Field Summary

Fields
`static String` `AND_OPERATOR` Enables `AND` operator (+)
`static String` `ESCAPE_OPERATOR` Enables `ESCAPE` operator (\)
`static String` `FUZZY_OPERATOR` Enables `FUZZY` operator (~)
`static String` `NEAR_OPERATOR` Enables `NEAR` operator (~)
`static String` `NOT_OPERATOR` Enables `NOT` operator (-)
`static String` `OR_OPERATOR` Enables `OR` operator (|)
`static String` `PHRASE_OPERATOR` Enables `PHRASE` operator (")
`static String` `PRECEDENCE_OPERATORS` Enables `PRECEDENCE` operators: `(` and `)`
`static String` `PREFIX_OPERATOR` Enables `PREFIX` operator (*)
`static String` `QF` Query fields and boosts.
`static String` `QO` Override the currently enabled/disabled query operators.
`static String` `WHITESPACE_OPERATOR` Enables `WHITESPACE` operators: ' ' '\n' '\r' '\t'

### Field Detail

#### QF

    static final String QF

Query fields and boosts.

See Also:
  Constant Field Values

#### QO

    static final String QO

Override the currently enabled/disabled query operators.

See Also:
  Constant Field Values

#### AND_OPERATOR

    static final String AND_OPERATOR

Enables `AND` operator (+)

See Also:
  Constant Field Values

#### NOT_OPERATOR

    static final String NOT_OPERATOR

Enables `NOT` operator (-)

See Also:
  Constant Field Values

#### OR_OPERATOR

    static final String OR_OPERATOR

Enables `OR` operator (|)

See Also:
  Constant Field Values

#### PREFIX_OPERATOR

    static final String PREFIX_OPERATOR

Enables `PREFIX` operator (*)

See Also:
  Constant Field Values

#### PHRASE_OPERATOR

    static final String PHRASE_OPERATOR

Enables `PHRASE` operator (")

See Also:
  Constant Field Values

#### PRECEDENCE_OPERATORS

    static final String PRECEDENCE_OPERATORS

Enables `PRECEDENCE` operators: `(` and `)`

See Also:
  Constant Field Values

#### ESCAPE_OPERATOR

    static final String ESCAPE_OPERATOR

Enables `ESCAPE` operator (\)

See Also:
  Constant Field Values

#### WHITESPACE_OPERATOR

    static final String WHITESPACE_OPERATOR

Enables `WHITESPACE` operators: ' ' '\n' '\r' '\t'

See Also:
  Constant Field Values

#### FUZZY_OPERATOR

    static final String FUZZY_OPERATOR

Enables `FUZZY` operator (~)

See Also:
  Constant Field Values

#### NEAR_OPERATOR

    static final String NEAR_OPERATOR

Enables `NEAR` operator (~)

See Also:
  Constant Field Values